Name: opensaml
Version: 3.2.1
Release: 1%{?dist}
Summary: OpenSAML SAML library
License: Apache-2.0
Vendor: Shibboleth Consortium
URL: http://www.opensaml.org/
Source http://shibboleth.net/downloads/c++-opensaml/%{version}/%{name}-%{version}.tar.bz2

BuildRequires: gcc-c++ gdb
BuildRequires: doxygen
BuildRequires: boost-devel >= 1.32.0
%{?_with_log4cpp:BuildRequires: log4cpp-devel >= 1.0}
%{!?_with_log4cpp:BuildRequires: log4shib-devel >= 1.0.4}
BuildRequires: openssl-devel
BuildRequires: xerces-c-devel >= 3.2
BuildRequires: xml-security-c-devel >= 2.0.0
BuildRequires: xmltooling-devel >= 3.2.1

%description
OpenSAML is an open source implementation of the OASIS Security Assertion
Markup Language Specification. It contains a set of open source C++ classes
that support the SAML 1.0, 1.1, and 2.0 specifications.

%package devel
Summary: OpenSAML development Headers
Requires: %{name} = %{version}-%{release}
%{?_with_log4cpp:Requires: log4cpp-devel >= 1.0}
%{!?_with_log4cpp:Requires: log4shib-devel >= 1.0.4}
Requires: xerces-c-devel >= 3.2
Requires: xml-security-c-devel >= 2.0.0
Requires: xmltooling-devel >= 3.2.0

%description devel
OpenSAML is an open source implementation of the OASIS Security Assertion
Markup Language Specification. It contains a set of open source C++ classes
that support the SAML 1.0, 1.1, and 2.0 specifications.

This package includes files needed for development with OpenSAML.

%package schemas
Summary: OpenSAML schemas and catalog

%description schemas
OpenSAML is an open source implementation of the OASIS Security Assertion
Markup Language Specification. It contains a set of open source C++ classes
that support the SAML 1.0, 1.1, and 2.0 specifications.

This package includes XML schemas and related files.

%prep
%setup -q

%build
%configure %{?saml_options}
%{__make}

%install
%{__make} install DESTDIR=%{buildroot} pkgdocdir=%{_pkgdocdir}
# Don't package unit tester if present.
%{__rm} -f %{buildroot}/%{_bindir}/samltest

%check
%{__make} check

%ldconfig_scriptlets

%files
%defattr(-,root,root,-)
%{_bindir}/samlsign
%{_libdir}/libsaml.so.*
%exclude %{_libdir}/libsaml.la

%files schemas
%defattr(-,root,root,-)
%dir %{_datadir}/xml/opensaml
%{_datadir}/xml/opensaml/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/opensaml.pc
%doc %{_pkgdocdir}

%changelog
* Fri Aug 26 2022 Jean-Marc Liger <ligenix@iscp.fr> - 3.2.1-1
- Update to 3.2.1

* Mon Oct 11 2021 Jean-Marc Liger <ligenix@iscp.fr> - 3.2.0-2
- Switch to %ldconfig_scriptlets
- Rebuild for COPR EL8

* Wed Dec 2 2020 Scott Cantor <cantor.2@osu.edu> - 3.2.0-1|1.1
- Version and lib bump

* Mon Feb 3 2020 Scott Cantor <cantor.2@osu.edu> - 3.1.0-1
- Version and lib bump
- Remove Solaris conditionals

* Mon Sep 30 2019 Scott Cantor <cantor.2@osu.edu> - 3.0.1-1
- CentOS 8 cleanup

* Tue Nov 21 2017 Scott Cantor <cantor.2@osu.edu> - 3.0.0-1
- Update soname
- Update dependency reqs
- Require Xerces 3.2 as shipped by me on all platforms

* Fri Jun 24 2016 Scott Cantor <cantor.2@osu.edu> - 2.6.0-1
- Fix some nits
- Update soname in package names

* Mon Mar 9 2015 Scott Cantor <cantor.2@osu.edu> - 2.5.4-1
- Require Xerces 3.1 even on older platforms
- Switch to bz2 source to avoid future SuSE issues

* Tue May 13 2014 Ian Young <ian@iay.org.uk> - 2.5.3-1.2
- Update package dependencies for RHEL/CentOS 7
- Fixed bogus dates in changelog

* Wed Dec 14 2011 Scott Cantor  <cantor.2@osu.edu>  - 2.5-1
- Update lib package number.
- Add boost-devel dependency.

* Tue Oct 26 2010  Scott Cantor  <cantor.2@osu.edu>  - 2.4-1
- Update version
- Add pkg-config support.
- Sync package names for side by side install.
- Adjust Xerces dependency name and Group setting
- Split out schemas into separate subpackage

* Mon Aug 31 2009   Scott Cantor  <cantor.2@osu.edu>  - 2.3-1
- Bump soname for SUSE packaging.

* Sat Aug 8 2009  Scott Cantor  <cantor.2@osu.edu>  - 2.2.1-1
- SuSE conventions
- Stop packaging unit tester

* Wed Dec 3 2008  Scott Cantor  <cantor.2@osu.edu>  - 2.2-1
- Bumping for minor update.
- Fixing SUSE Xerces dependency name.

* Tue Jul 1 2008  Scott Cantor  <cantor.2@osu.edu>  - 2.1-1
- Bumping for minor update.

* Mon Mar 17 2008  Scott Cantor  <cantor.2@osu.edu>  - 2.0-6
- Official release.

* Fri Jan 18 2008  Scott Cantor  <cantor.2@osu.edu>  - 2.0-5
- Release candidate 1.

* Thu Nov 08 2007 Scott Cantor  <cantor.2@osu.edu>  - 2.0-4
- Second public beta.

* Thu Aug 16 2007 Scott Cantor  <cantor.2@osu.edu>  - 2.0-3
- First public beta.

* Fri Jul 13 2007  Scott Cantor  <cantor.2@osu.edu>  - 2.0-2
- Second alpha.

* Mon Apr 16 2007  Scott Cantor  <cantor.2@osu.edu>  - 2.0-1
- First SPEC file for 2.0.
